Package com.pixelmed.apps

# Class UIDMapByMatchingPixelData

java.lang.Object
com.pixelmed.apps.UIDMapByMatchingPixelData

public class UIDMapByMatchingPixelData extends Object

A class to identify duplicate images based on having the same pixel data hash and constructing collections of their duplicate Study, Series, SOP Instance and Frame of Reference UIDs.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`UIDMapByMatchingPixelData.OurMediaImporter`

## Constructor Summary

Constructors
Constructor
Description
`UIDMapByMatchingPixelData(String[] srcs)`
Identify different UIDs of duplicate images by using a hash of pixel data values.

## Method Summary

Modifier and Type
Method
Description
`Collection<List<String>>`
`getDuplicateFrameOfReferenceUIDs()`
`Collection<List<String>>`
`getDuplicateSeriesInstanceUIDs()`
`Collection<List<String>>`
`getDuplicateSOPInstanceUIDs()`
`Collection<List<String>>`
`getDuplicateStudyInstanceUIDs()`
`static void`
`main(String[] arg)`
Identify different UIDs of duplicate images by using a hash of pixel data values.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UIDMapByMatchingPixelData

public UIDMapByMatchingPixelData(String[] srcs) throws IOException, DicomException

Identify different UIDs of duplicate images by using a hash of pixel data values.

Parameters:
  `srcs` - one or more source folders or DICOMDIRs
Throws:
  `IOException`
  `DicomException`

## Method Details

### getDuplicateStudyInstanceUIDs

public Collection<List<String>> getDuplicateStudyInstanceUIDs()

### getDuplicateSeriesInstanceUIDs

public Collection<List<String>> getDuplicateSeriesInstanceUIDs()

### getDuplicateSOPInstanceUIDs

public Collection<List<String>> getDuplicateSOPInstanceUIDs()

### getDuplicateFrameOfReferenceUIDs

public Collection<List<String>> getDuplicateFrameOfReferenceUIDs()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] arg)

Identify different UIDs of duplicate images by using a hash of pixel data values.

The duplicate UIDs will be listed in the order in which they are encountered, so if one UID is the canonical UID to which the others are to be matched, order the input paths accordingly.

Parameters:
  `arg` - one or more source folders or DICOMDIRs